import academicSearchAction from './academicSearch.js';
import doneAction from './done.js';
import planAction from './plan.js';
import ActionRegistry from './registry.js';
import scrapeURLAction from './scrapeURL.js';
import socialSearchAction from './socialSearch.js';
import uploadsSearchAction from './uploadsSearch.js';
import webSearchAction from './webSearch.js';

ActionRegistry.register(webSearchAction);
ActionRegistry.register(doneAction);
ActionRegistry.register(planAction);
ActionRegistry.register(scrapeURLAction);
ActionRegistry.register(uploadsSearchAction);
ActionRegistry.register(academicSearchAction);
ActionRegistry.register(socialSearchAction);

export { ActionRegistry };
